Bug 123286 - Maintainer update: archivers/par2cmdline-tbb - Update to v20080420
Summary: Maintainer update: archivers/par2cmdline-tbb - Update to v20080420
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: itetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-01 08:30 UTC by ganael.laplanche
Modified: 2008-05-06 21:00 UTC (History)
0 users

See Also:


Attachments
file.diff (2.15 KB, patch)
2008-05-01 08:30 UTC, ganael.laplanche
no flags Details | Diff
patch-par2cmdline-tbb.txt (1.52 KB, patch)
2008-05-06 18:17 UTC, ganael.laplanche
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2008-05-01 08:30:00 UTC
- Update to v20080420
- Do not use USE_AUTOTOOLS anymore, add GNU_CONFIGURE and CONFIGURE_ENV
- Patch patch-par2cmdline.h to make it build with the current version of tbb (20080207)

Fix: Patch attached with submission follows:
Comment 1 itetcu freebsd_committer 2008-05-01 10:05:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 2 itetcu freebsd_committer 2008-05-06 09:03:34 UTC
State Changed
From-To: open->feedback

Doesn't build on 5 and 6 (both i386 and amd64): 
http://t32.tecnik93.com/index.php?action=describe_port&id=1868
Comment 3 ganael.laplanche 2008-05-06 18:17:47 UTC
On Tue, 6 May 2008 08:03:34 GMT, itetcu wrote

> Doesn't build on 5 and 6 (both i386 and amd64):

It seems that the update of md5.h has broken the build on those platforms (gcc
3.x). Here is an additional patch (to apply after the first one) that reverts
the update of md5.h and will allow us to wait for an 'official' fix from the
main developer.

Ganaël LAPLANCHE
ganael.laplanche@martymac.com
http://www.martymac.com
Comment 4 itetcu freebsd_committer 2008-05-06 19:03:26 UTC
State Changed
From-To: feedback->open

Patch received
Comment 5 dfilter freebsd_committer 2008-05-06 20:49:50 UTC
itetcu      2008-05-06 19:49:44 UTC

  FreeBSD ports repository

  Modified files:
    archivers/par2cmdline-tbb Makefile distinfo 
  Log:
  - Update to v20080420
  - Do not use USE_AUTOTOOLS anymore, add GNU_CONFIGURE and CONFIGURE_ENV
  - Patch patch-par2cmdline.h to make it build with the current version of tbb
  (20080207)
  
  PR:             ports/123286
  Submitted by:   maintainer
  
  Revision  Changes    Path
  1.2       +4 -2      ports/archivers/par2cmdline-tbb/Makefile
  1.2       +3 -3      ports/archivers/par2cmdline-tbb/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter freebsd_committer 2008-05-06 20:50:59 UTC
itetcu      2008-05-06 19:50:55 UTC

  FreeBSD ports repository

  Added files:
    archivers/par2cmdline-tbb/files patch-md5.h 
                                    patch-par2cmdline.h 
  Log:
  Add forgotten files in previous commit:
  - Update to v20080420
  - Do not use USE_AUTOTOOLS anymore, add GNU_CONFIGURE and CONFIGURE_ENV
  - Patch patch-par2cmdline.h to make it build with the current version of tbb
  (20080207)
  
  PR:             ports/123286
  Submitted by:   maintainer
  
  Revision  Changes    Path
  1.1       +47 -0     ports/archivers/par2cmdline-tbb/files/patch-md5.h (new)
  1.1       +11 -0     ports/archivers/par2cmdline-tbb/files/patch-par2cmdline.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 itetcu freebsd_committer 2008-05-06 20:51:09 UTC
State Changed
From-To: open->closed

Committed. Thanks!